require 'rails/generators/migration'

module ActsAsFriendable
  module Generators
    class InstallGenerator < ::Rails::Generators::Base
      include Rails::Generators::Migration
      source_root File.expand_path('../templates', __FILE__)
      desc "Generates Friendship migration"

      def self.next_migration_number(path)
        unless @prev_migration_nr
          @prev_migration_nr = Time.now.utc.strftime("%Y%m%d%H%M%S").to_i
        else
          @prev_migration_nr += 1
        end
        @prev_migration_nr.to_s
      end

      def copy_migration
        migration_template 'friendships.rb', 'db/migrate/create_acts_as_friendable_friendships.rb'
      end
    end
  end
end